import { p as promiseResolve, b as bootstrapLazy } from './index-5697d133.js';

/*
 Stencil Client Patch Browser v2.14.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["mad-payment-card-input_12",[[1,"mad-payment-credit-card-payment-element",{"cardData":[32]}],[1,"mad-payment-card-input",{"placeholder":[1],"label":[1],"name":[1],"value":[32],"possibleCards":[32],"max":[32]}],[1,"mad-payment-cvv-input",{"placeholder":[1],"label":[1],"name":[1],"max":[2],"value":[32],"type":[32]}],[1,"mad-payment-expiration-input",{"placeholder":[1],"label":[1],"name":[1],"value":[32],"max":[32]}],[1,"mad-payment-select",{"placeholder":[1],"label":[1],"name":[1],"value":[1],"max":[2],"selectOptions":[1,"select-options"],"selectOptionsFormatted":[32],"setOptions":[64]}],[1,"mad-payment-icon",{"icon":[1]}],[1,"mad-payment-icon-amex"],[1,"mad-payment-icon-discover"],[1,"mad-payment-icon-mastercard"],[1,"mad-payment-icon-security-code"],[1,"mad-payment-icon-visa"],[1,"mad-payment-input",{"placeholder":[1],"label":[1],"name":[1],"value":[1],"max":[2],"validationExpression":[16],"valid":[32]}]]]], options);
});
