export interface CreditCardElementResponse {
  cardholderName?: string;
  cardNumber?: string;
  cardBrand?: string;
  cardExpiry?: string;
  cardZip?: string;
  cardSecurityCode?: string;
  cardCountry?: string;
  complete: boolean;
  invalid: boolean;
  invalidFields: [
    {
      fieldName: string;
      errorMessage: string;
      errorCode: number;
    }
  ] | [];
}
