'use strict';

const index = require('./index-19ca9a13.js');

/*
 Stencil Client Patch Browser v2.14.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('mad-payment-js.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["mad-payment-card-input_12.cjs",[[1,"mad-payment-credit-card-payment-element",{"cardData":[32]}],[1,"mad-payment-card-input",{"placeholder":[1],"label":[1],"name":[1],"value":[32],"possibleCards":[32],"max":[32]}],[1,"mad-payment-cvv-input",{"placeholder":[1],"label":[1],"name":[1],"max":[2],"value":[32],"type":[32]}],[1,"mad-payment-expiration-input",{"placeholder":[1],"label":[1],"name":[1],"value":[32],"max":[32]}],[1,"mad-payment-select",{"placeholder":[1],"label":[1],"name":[1],"value":[1],"max":[2],"selectOptions":[1,"select-options"],"selectOptionsFormatted":[32],"setOptions":[64]}],[1,"mad-payment-icon",{"icon":[1]}],[1,"mad-payment-icon-amex"],[1,"mad-payment-icon-discover"],[1,"mad-payment-icon-mastercard"],[1,"mad-payment-icon-security-code"],[1,"mad-payment-icon-visa"],[1,"mad-payment-input",{"placeholder":[1],"label":[1],"name":[1],"value":[1],"max":[2],"validationExpression":[16],"valid":[32]}]]]], options);
});
