import { EventEmitter } from '../../stencil-public-runtime';
import { PaymentElementUpdateEvent } from '../../model/PaymentElementUpdateEvent';
export declare class MadPaymentCvvInput {
  /**
   * Input placeholder text
   */
  placeholder: string;
  /**
   * Label text is optional, if present label is dplayed
   */
  label?: string;
  /**
   * Input name
   */
  name: string;
  value: string;
  type: string;
  update: EventEmitter<PaymentElementUpdateEvent>;
  max: number;
  handleChange(event: any): void;
  handleKeyPress(e: any): void;
  isMax(): boolean;
  render(): any;
}
