import { EventEmitter } from '../../stencil-public-runtime';
import { PaymentElementUpdateEvent } from '../../model/PaymentElementUpdateEvent';
export declare class MadPaymentInput {
  /**
   * Input placeholder text
   */
  placeholder: string;
  /**
   * Label text is optional, if present label is dplayed
   */
  label?: string;
  /**
   * Input name
   */
  name: string;
  /**
   * Input value
   */
  value: string;
  /**
   * Input max length
   */
  max: number;
  valid: boolean;
  validationExpression?: RegExp;
  payInput: EventEmitter<InputEvent>;
  payKeyUp: EventEmitter<KeyboardEvent>;
  payKeyDown: EventEmitter<KeyboardEvent>;
  payKeyPress: EventEmitter<KeyboardEvent>;
  update: EventEmitter<PaymentElementUpdateEvent>;
  handleInput(e: any): void;
  isValid(value: string): boolean;
  render(): any;
}
