import { EventEmitter } from '../../stencil-public-runtime';
import { PaymentElementUpdateEvent } from '../../model/PaymentElementUpdateEvent';
export declare class MadPaymentSelect {
  /**
   * Input placeholder text
   */
  placeholder: string;
  /**
   * Label text is optional, if present label is dplayed
   */
  label?: string;
  /**
   * Input name
   */
  name: string;
  value: string;
  max: number;
  selectOptions?: string;
  update: EventEmitter<PaymentElementUpdateEvent>;
  setOptions(options: {
    [key: string]: string;
  }): Promise<void>;
  selectOptionsFormatted: {
    [key: string]: string;
  } | {};
  handleSelect(e: any): void;
  render(): any;
}
