import { InputError } from "./InputError";
export declare type PaymentElementUpdateEvent = {
  valid: boolean;
  value: string;
  complete: boolean;
  errors?: Array<InputError>;
};
export declare enum ElementType {
  CREDIT_CARD_NUMBER = "credit-card-number",
  CARDHOLDER_NAME = "cardholder-name",
  ZIPCODE = "zipcode",
  COUNTRY = "country",
  SECURITY_CODE = "security-code",
  EXPIRATION_DATE = "expiration-date"
}
